[cairo-bugs] [Bug 12757] New: autogen.sh fails on a text-mode Linux console.

bugzilla-daemon at freedesktop.org bugzilla-daemon at freedesktop.org
Tue Oct 9 16:35:38 PDT 2007


http://bugs.freedesktop.org/show_bug.cgi?id=12757

           Summary: autogen.sh fails on a text-mode Linux console.
           Product: cairo
           Version: 1.5.1
          Platform: x86 (IA32)
        OS/Version: Linux (All)
            Status: NEW
          Severity: minor
          Priority: low
         Component: general
        AssignedTo: cworth at cworth.org
        ReportedBy: chris at heathens.co.nz
         QAContact: cairo-bugs at cairographics.org
                CC: chris at heathens.co.nz


On terminals that don't support boldface, autogen.sh fails.

I do have tput installed, but it returns a nonzero value on such a terminal,
which causes autogen.sh to stop.

Patch to fix it:

diff --git a/autogen.sh b/autogen.sh
index 73455ef..4253a91 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -49,8 +49,8 @@ esac


 # some terminal codes ...
-boldface="`tput bold 2>/dev/null`"
-normal="`tput sgr0 2>/dev/null`"
+boldface="`tput bold 2>/dev/null || true`"
+normal="`tput sgr0 2>/dev/null || true`"
 printbold() {
     echo $ECHO_N "$boldface"
     echo "$@"


-- 
Configure bugmail: http://bugs.freedesktop.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.


More information about the cairo-bugs mailing list